SimplePolicy 插件安装告知

3 个月前 创建于

由于最近 NEO 主网共识节点版本已升级至 neo-cli-2.10.2,SimplePolicy 插件就成为了必选项。其具体作用如下:

1. 对每个块的最大交易笔数,每个块的最大免费交易笔数,每笔交易的最大 size 以及手续费相关设置做了规定。
2. 过滤不符合以上规则的所有交易,并将它从 mempool 中抛弃。

如果节点不安装 SimplePolicy,不合规的交易会被存储在 mempool 中并且不断向其他节点广播。由于共识节点不会打包这些交易,mempool 会变得拥挤并且延迟了其他正常交易。

这里的不合规交易指一切不符合 SimplePolicy 规则的交易,尤其是指那些交易 size 超过 1024 byte 却没有缴纳足够 extraFee 的交易。更多有关网络手续费政策的说明可以参照 这里 

因此,在升级到 neo-cli-2.10.2 的时候,我们敦促所有节点安装 SimplePolicy 插件来保证主网健康的环境。

在安装完 SimplePolicy 之后,用户可以在 neo-cli 中使用 “plugins” 指令来验证是否正确安装成功,如:

neo > plugins

Loaded plugins:

SimplePolicyPlugin